<?php
// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

global $db_prefix;

echo(__FILE__ .":". __LINE__ . "\n");
// All we need to do set the settings in the Database.
db_query("
	REPLACE INTO {$db_prefix}settings (variable, value)
	select 'buzer_max_postid', max(cast(id_msg as signed))-100000 
	from {$db_prefix}messages 
	limit 1", __FILE__, __LINE__);
echo(__FILE__ .":". __LINE__ . "\n");	
db_query('create table if not exists buzer_cache 
		(id int not null, styleid int not null, HASH varchar(32) not null, cache mediumtext not null, 
		dateinsert datetime, dateupdate datetime, state tinyint, 
		primary key (hash), 
		unique index idx_buzer_cache_id_styleid (id, styleid))', __FILE__, __LINE__);
echo(__FILE__ .":". __LINE__ . "\n");		
?>